Index: testsuites/tmtests/tm01/task1.c
===================================================================
--- testsuites/tmtests/tm01/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm01/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -33,5 +33,5 @@
   status = rtems_task_create(
     Task_name[ 1 ],
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm02/task1.c
===================================================================
--- testsuites/tmtests/tm02/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm02/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -31,5 +31,5 @@
 int operation_count = OPERATION_COUNT;
 
-void test_init();
+void test_init(void);
 
 rtems_task Init(
@@ -49,8 +49,8 @@
 }
 
-void test_init()
+void test_init(void)
 {
   rtems_status_code   status;
-  uint32_t            index;
+  int                 index;
   rtems_task_priority priority;
 
@@ -72,6 +72,6 @@
   directive_failed( status, "rtems_task_start of high task" );
 
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count = (int) (RTEMS_MAXIMUM_PRIORITY - 2u);
   for ( index=2 ; index < operation_count ; index++ ) {
     status = rtems_task_create(
Index: testsuites/tmtests/tm03/task1.c
===================================================================
--- testsuites/tmtests/tm03/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm03/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -40,5 +40,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'A', '1', ' ' ),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -64,5 +64,5 @@
   rtems_task_priority priority;
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 2;
+  priority = RTEMS_MAXIMUM_PRIORITY - 2u;
 
   status = rtems_semaphore_create(
@@ -75,6 +75,6 @@
   directive_failed( status, "rtems_semaphore_create of SM1" );
 
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  (int) (RTEMS_MAXIMUM_PRIORITY - 2u);
   for ( index = 2 ; index < operation_count ; index ++ ) {
     rtems_task_create(
Index: testsuites/tmtests/tm04/task1.c
===================================================================
--- testsuites/tmtests/tm04/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm04/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,5 +15,5 @@
 rtems_id         Semaphore_id;
 rtems_id         Task_id[OPERATION_COUNT+1];
-uint32_t   task_count;
+uint32_t         task_count;
 rtems_id         Highest_id;
 
@@ -26,9 +26,13 @@
 );
 
+rtems_task Highest_task(
+  rtems_task_argument argument
+);
+
 rtems_task Restart_task(
   rtems_task_argument argument
 );
 
-void test_init();
+void test_init(void);
 
 rtems_task Init(
@@ -48,8 +52,8 @@
 }
 
-void test_init()
+void test_init(void)
 {
   rtems_status_code status;
-  uint32_t    index;
+  int               index;
 
   task_count = OPERATION_COUNT;
@@ -102,5 +106,5 @@
     status = rtems_task_set_priority(
       RTEMS_CURRENT_PRIORITY,
-      RTEMS_MAXIMUM_PRIORITY - 1,
+      RTEMS_MAXIMUM_PRIORITY - 1u,
       &old_priority
     );
@@ -215,5 +219,5 @@
     status = rtems_task_create(
       name,
-      RTEMS_MAXIMUM_PRIORITY - 4,
+      RTEMS_MAXIMUM_PRIORITY - 4u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_NO_PREEMPT,
@@ -262,5 +266,5 @@
     status = rtems_task_create(
       name,
-      RTEMS_MAXIMUM_PRIORITY - 4,
+      RTEMS_MAXIMUM_PRIORITY - 4u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm06/task1.c
===================================================================
--- testsuites/tmtests/tm06/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm06/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -46,5 +46,5 @@
 {
   rtems_status_code status;
-  rtems_id id;
+  rtems_id          id;
 
   Task_restarted = OPERATION_COUNT;
@@ -52,5 +52,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', 'E' ),
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -97,5 +97,5 @@
     status = rtems_task_create(
       rtems_build_name( 'T', 'I', 'M', 'E' ),
-      RTEMS_MAXIMUM_PRIORITY - 1,
+      RTEMS_MAXIMUM_PRIORITY - 1u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm07/task1.c
===================================================================
--- testsuites/tmtests/tm07/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm07/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -27,5 +27,5 @@
 );
 
-void test_init();
+void test_init(void);
 
 int operation_count = OPERATION_COUNT;
@@ -47,15 +47,15 @@
 }
 
-void test_init()
+void test_init(void)
 {
   rtems_status_code   status;
   rtems_task_priority priority;
   rtems_task_entry    task_entry;
-  uint32_t      index;
+  int                 index;
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 1;
+  priority = RTEMS_MAXIMUM_PRIORITY - 1u;
 
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  (int) (RTEMS_MAXIMUM_PRIORITY - 2u);
 
   for( index=0 ; index <= operation_count ; index++ ) {
Index: testsuites/tmtests/tm08/task1.c
===================================================================
--- testsuites/tmtests/tm08/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm08/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,5 @@
   rtems_task_argument argument
 );
-void test_init();
+void test_init(void);
 
 rtems_task Init(
@@ -39,5 +39,5 @@
 }
 
-void test_init()
+void test_init(void)
 {
   rtems_status_code status;
@@ -45,5 +45,5 @@
   status = rtems_task_create(
     1,
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -58,5 +58,5 @@
   status = rtems_task_create(
     1,
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -107,5 +107,5 @@
       (void) rtems_task_set_priority(
         Test_task_id, 
-        RTEMS_MAXIMUM_PRIORITY - 2,
+        RTEMS_MAXIMUM_PRIORITY - 2u,
         &old_priority
       );
Index: testsuites/tmtests/tm09/task1.c
===================================================================
--- testsuites/tmtests/tm09/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm09/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -18,5 +18,5 @@
   rtems_task_argument argument
 );
-void queue_test();
+void queue_test(void);
 
 rtems_task Init(
@@ -32,5 +32,5 @@
   status = rtems_task_create(
     1,
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE * 2,
     RTEMS_DEFAULT_MODES,
@@ -87,5 +87,5 @@
 }
 
-void queue_test()
+void queue_test(void)
 {
   uint32_t    send_loop_time;
Index: testsuites/tmtests/tm10/task1.c
===================================================================
--- testsuites/tmtests/tm10/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm10/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -28,5 +28,5 @@
 );
 
-void test_init();
+void test_init(void);
 
 int operation_count = OPERATION_COUNT;
@@ -85,5 +85,5 @@
   status = rtems_message_queue_create(
     1,
-    operation_count,
+    (uint32_t)operation_count,
     16,
     RTEMS_DEFAULT_ATTRIBUTES,
Index: testsuites/tmtests/tm11/task1.c
===================================================================
--- testsuites/tmtests/tm11/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm11/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -44,5 +44,5 @@
   status = rtems_task_create(
     1,
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -65,5 +65,5 @@
 )
 {
-  uint32_t      index;
+  int                 index;
   rtems_task_entry    task_entry;
   rtems_task_priority priority;
@@ -85,8 +85,8 @@
   directive_failed( status, "rtems_message_queue_create" );
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 2;
+  priority = RTEMS_MAXIMUM_PRIORITY - 2u;
 
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2u;
   for( index = 0; index < operation_count ; index++ ) {
     status = rtems_task_create(
Index: testsuites/tmtests/tm12/task1.c
===================================================================
--- testsuites/tmtests/tm12/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm12/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -46,5 +46,5 @@
   status = rtems_task_create(
     1,
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -65,5 +65,5 @@
 )
 {
-  uint32_t       index;
+  int                  index;
   rtems_task_entry     task_entry;
   rtems_task_priority  priority;
@@ -74,5 +74,5 @@
   status = rtems_message_queue_create(
     rtems_build_name( 'M', 'Q', '1', ' ' ),
-    operation_count,
+    (uint32_t) operation_count,
     MESSAGE_SIZE,
     RTEMS_DEFAULT_ATTRIBUTES,
@@ -81,5 +81,5 @@
   directive_failed( status, "rtems_message_queue_create" );
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 1;
+  priority = RTEMS_MAXIMUM_PRIORITY - 1u;
 
   if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
@@ -99,6 +99,6 @@
     priority--;
 
-    if ( index==operation_count-1 ) task_entry = High_task;
-    else                            task_entry = Low_tasks;
+    if ( index == operation_count-1 ) task_entry = High_task;
+    else                              task_entry = Low_tasks;
 
     status = rtems_task_start( task_id, task_entry, 0 );
@@ -111,5 +111,5 @@
 )
 {
-  uint32_t    index;
+  int  index;
 
   benchmark_timer_initialize();
Index: testsuites/tmtests/tm13/task1.c
===================================================================
--- testsuites/tmtests/tm13/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm13/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -46,5 +46,5 @@
   status = rtems_task_create(
     1,
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -65,5 +65,5 @@
 )
 {
-  uint32_t            index;
+  int                 index;
   rtems_task_entry    task_entry;
   rtems_task_priority priority;
@@ -85,8 +85,8 @@
   directive_failed( status, "rtems_message_queue_create" );
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 2;
+  priority = RTEMS_MAXIMUM_PRIORITY - 2u;
 
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  (int)(RTEMS_MAXIMUM_PRIORITY - 2u);
 
   for( index = 0; index < operation_count ; index++ ) {
Index: testsuites/tmtests/tm14/task1.c
===================================================================
--- testsuites/tmtests/tm14/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm14/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -46,5 +46,5 @@
   status = rtems_task_create(
     1,
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -65,10 +65,9 @@
 )
 {
-  uint32_t       index;
+  int                  index;
   rtems_task_entry     task_entry;
   rtems_task_priority  priority;
   rtems_id             task_id;
   rtems_status_code    status;
-
 
   status = rtems_message_queue_create(
@@ -81,7 +80,7 @@
   directive_failed( status, "rtems_message_queue_create" );
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 2;
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  priority = RTEMS_MAXIMUM_PRIORITY - 2u;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  (int) (RTEMS_MAXIMUM_PRIORITY - 2u);
 
   for( index = 0; index < operation_count ; index++ ) {
@@ -110,5 +109,5 @@
 )
 {
-  uint32_t    index;
+  int  index;
 
   benchmark_timer_initialize();
Index: testsuites/tmtests/tm15/task1.c
===================================================================
--- testsuites/tmtests/tm15/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm15/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,5 +1,4 @@
 /*
- *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -24,5 +23,5 @@
 );
 
-void test_init();
+void test_init(void);
 
 rtems_task Init(
@@ -42,5 +41,5 @@
 }
 
-void test_init()
+void test_init(void)
 {
   rtems_id          id;
Index: testsuites/tmtests/tm16/task1.c
===================================================================
--- testsuites/tmtests/tm16/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm16/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -42,5 +42,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'E', 'S', 'T' ),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -63,5 +63,5 @@
   rtems_task_priority priority;
   rtems_status_code   status;
-  uint32_t            index;
+  int                 index;
   rtems_task_entry    task_entry;
 
@@ -71,7 +71,7 @@
  */
 
-  priority = RTEMS_MAXIMUM_PRIORITY - 2;
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  priority = RTEMS_MAXIMUM_PRIORITY - 2u;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  (int) (RTEMS_MAXIMUM_PRIORITY - 2u);
 
   for( index = 0 ; index < operation_count ; index++ ) {
@@ -141,6 +141,6 @@
     "rtems_event_send: task readied -- preempts caller",
     end_time,
-    operation_count - 1,
-    0,
+    operation_count - 1u,
+    0u,
     CALLING_OVERHEAD_EVENT_SEND
   );
Index: testsuites/tmtests/tm17/task1.c
===================================================================
--- testsuites/tmtests/tm17/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm17/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -35,5 +35,5 @@
 {
   rtems_task_entry  task_entry;
-  uint32_t    index;
+  int               index;
   rtems_status_code status;
 
@@ -42,7 +42,7 @@
   puts( "\n\n*** TIME TEST 17 ***" );
 
-  Task_priority = RTEMS_MAXIMUM_PRIORITY - 1;
-  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2 )
-    operation_count =  RTEMS_MAXIMUM_PRIORITY - 2;
+  Task_priority = RTEMS_MAXIMUM_PRIORITY - 1u;
+  if ( OPERATION_COUNT > RTEMS_MAXIMUM_PRIORITY - 2u )
+    operation_count =  (int) (RTEMS_MAXIMUM_PRIORITY - 2u);
 
   for( index = 0; index < operation_count ; index++ ) {
@@ -108,5 +108,5 @@
 )
 {
-  uint32_t   index;
+  int index;
 
   end_time = benchmark_timer_read();
@@ -120,5 +120,5 @@
     "rtems_task_set_priority: preempts caller",
     end_time,
-    operation_count - 1,
+    operation_count - 1u,
     overhead,
     CALLING_OVERHEAD_TASK_SET_PRIORITY
Index: testsuites/tmtests/tm18/task1.c
===================================================================
--- testsuites/tmtests/tm18/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm18/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,4 +15,6 @@
 uint32_t   taskcount;
 rtems_task_priority taskpri;
+
+void test_init(void);
 
 rtems_task First_task(
@@ -47,5 +49,5 @@
 }
 
-void test_init()
+void test_init(void)
 {
   rtems_id          id;
@@ -57,5 +59,5 @@
     status = rtems_task_create(
       rtems_build_name( 'T', 'I', 'M', 'E' ),
-      (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+      (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm19/task1.c
===================================================================
--- testsuites/tmtests/tm19/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm19/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -45,5 +45,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', 'E' ),
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -71,5 +71,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', 'E' ),
-    (RTEMS_MAXIMUM_PRIORITY / 2) - 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -167,4 +167,9 @@
 }
 
+/* avoid warnings for no prototype */
+rtems_asr Process_asr_for_task_2(
+  rtems_signal_set signals
+);
+
 rtems_asr Process_asr_for_task_2(
   rtems_signal_set signals
Index: testsuites/tmtests/tm20/task1.c
===================================================================
--- testsuites/tmtests/tm20/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm20/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -58,5 +58,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', '1' ),
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -71,5 +71,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', '2' ),
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 2,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 2u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -311,5 +311,5 @@
 
   status = rtems_task_set_priority(
-    RTEMS_SELF, RTEMS_MAXIMUM_PRIORITY - 1, &previous_priority );
+    RTEMS_SELF, RTEMS_MAXIMUM_PRIORITY - 1u, &previous_priority );
   directive_failed( status, "rtems_task_set_priority" );
 
Index: testsuites/tmtests/tm21/task1.c
===================================================================
--- testsuites/tmtests/tm21/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm21/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -33,5 +33,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', 'E' ),
-    RTEMS_MAXIMUM_PRIORITY - 5,
+    RTEMS_MAXIMUM_PRIORITY - 5u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -61,5 +61,5 @@
     status = rtems_task_create (
       index,
-      RTEMS_MAXIMUM_PRIORITY - 1,
+      RTEMS_MAXIMUM_PRIORITY - 1u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm23/task1.c
===================================================================
--- testsuites/tmtests/tm23/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm23/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -42,5 +42,5 @@
 
   rtems_task_priority priority;
-  uint32_t      index;
+  int                 index;
   rtems_id            id;
   rtems_task_entry    task_entry;
@@ -295,5 +295,5 @@
     end_time,
     operation_count,
-   0,
+    0,
     CALLING_OVERHEAD_TASK_WAKE_WHEN
   );
Index: testsuites/tmtests/tm24/task1.c
===================================================================
--- testsuites/tmtests/tm24/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm24/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -51,5 +51,5 @@
     status = rtems_task_create(
       rtems_build_name( 'R', 'E', 'S', 'T' ),
-      (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+      (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm25/task1.c
===================================================================
--- testsuites/tmtests/tm25/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm25/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -46,5 +46,5 @@
   status = rtems_task_create(
     rtems_build_name( 'L', 'O', 'W', ' ' ),
-    RTEMS_MAXIMUM_PRIORITY - 1,
+    RTEMS_MAXIMUM_PRIORITY - 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
@@ -60,5 +60,5 @@
     status = rtems_task_create(
       rtems_build_name( 'T', 'I', 'M', 'E' ),
-      (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+      (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm26/task1.c
===================================================================
--- testsuites/tmtests/tm26/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm26/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -55,4 +55,8 @@
 uint32_t   thread_get_invalid_time;
 
+rtems_task null_task(
+  rtems_task_argument argument
+);
+
 rtems_task High_task(
   rtems_task_argument argument
@@ -95,5 +99,5 @@
   puts( "\n\n*** TIME TEST 26 ***" );
 
-#define FP1_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 3)      /* 201, */
+#define FP1_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 3u)      /* 201, */
   status = rtems_task_create(
     rtems_build_name( 'F', 'P', '1', ' ' ),
@@ -109,5 +113,5 @@
   directive_failed( status, "rtems_task_start of FP1" );
 
-#define FP2_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 2)      /* 202, */
+#define FP2_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 2u)      /* 202, */
   status = rtems_task_create(
     rtems_build_name( 'F', 'P', '2', ' ' ),
@@ -123,5 +127,5 @@
   directive_failed( status, "rtems_task_start of FP2" );
 
-#define LOW_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 4)   /*  200, */
+#define LOW_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 4u)   /*  200, */
   status = rtems_task_create(
     rtems_build_name( 'L', 'O', 'W', ' ' ),
@@ -137,5 +141,5 @@
   directive_failed( status, "rtems_task_start of LOW" );
 
-#define MIDDLE_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 5)   /*  128, */
+#define MIDDLE_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 5u)   /*  128, */
   status = rtems_task_create(
     rtems_build_name( 'M', 'I', 'D', ' ' ),
@@ -176,5 +180,5 @@
     status = rtems_task_create(
       rtems_build_name( 'N', 'U', 'L', 'L' ),
-      RTEMS_MAXIMUM_PRIORITY - 1,      /* 254, */
+      RTEMS_MAXIMUM_PRIORITY - 1u,      /* 254, */
       RTEMS_MINIMUM_STACK_SIZE,
       RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm27/task1.c
===================================================================
--- testsuites/tmtests/tm27/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm27/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -52,5 +52,5 @@
   puts( "\n\n*** TIME TEST 27 ***" );
 
-#define LOW_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 1)
+#define LOW_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 1u)
   status = rtems_task_create(
     rtems_build_name( 'T', 'A', '1', ' ' ),
Index: testsuites/tmtests/tm28/task1.c
===================================================================
--- testsuites/tmtests/tm28/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm28/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -34,5 +34,5 @@
   status = rtems_task_create(
     rtems_build_name( 'T', 'I', 'M', 'E' ),
-    (RTEMS_MAXIMUM_PRIORITY / 2) + 1,
+    (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
     RTEMS_MINIMUM_STACK_SIZE,
     RTEMS_DEFAULT_MODES,
Index: testsuites/tmtests/tm29/task1.c
===================================================================
--- testsuites/tmtests/tm29/task1.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tm29/task1.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -117,5 +117,5 @@
   );
 
-#define LOOP_TASK_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2) + 1)
+#define LOOP_TASK_PRIORITY ((RTEMS_MAXIMUM_PRIORITY / 2u) + 1u)
   for ( index=1 ; index <= OPERATION_COUNT ; index++ ) {
     status = rtems_task_create(
@@ -133,5 +133,5 @@
   }
 
-#define MIDDLE_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 2)
+#define MIDDLE_PRIORITY (RTEMS_MAXIMUM_PRIORITY - 2u)
   status = rtems_task_create(
     rtems_build_name( 'L', 'O', 'W', ' ' ),
Index: testsuites/tmtests/tmoverhd/empty.c
===================================================================
--- testsuites/tmtests/tmoverhd/empty.c	(revision d0a263ac1e46a71a41684705241e772699041747)
+++ testsuites/tmtests/tmoverhd/empty.c	(revision 1055ce20fce7730cd46bb41230252cbaf1acce83)
@@ -12,4 +12,8 @@
 
 #include "system.h"
+
+rtems_task task_func(void);
+void null_func(void);
+rtems_status_code Empty_directive(void);
 
 rtems_timer_service_routine Timer_handler(
@@ -31,9 +35,13 @@
 }
 
-rtems_task task_func() {}
+rtems_task task_func(void)
+{
+}
 
-void null_func() {}
+void null_func(void)
+{
+}
 
-rtems_status_code Empty_directive()
+rtems_status_code Empty_directive(void)
 {
   return( RTEMS_SUCCESSFUL );
